<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\Ajax\Payment_Methods;

use Simplyin\Simplyin_W_Plugin\Payments\Ajax\Abstract_Ajax_Response;

class Payment_Methods_Ajax_Response extends Abstract_Ajax_Response {

	protected array $payment_methods = [];


	protected function get_array(): array {
		$to_return = [
			'payment_methods' => $this->payment_methods,
		];

		return $to_return;

	}

	public function get_payment_methods(): array {
		return $this->payment_methods;
	}

	public function set_payment_methods( array $payment_methods ): void {
		$this->payment_methods = $payment_methods;
	}



}
